
Figure - Bug #116861
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】卸载文件夹中的应用，仅剩的一个应用不会自动退出文件夹
2023-03-10 15:27 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-10

Priority: Normal Due date: 2023-04-04

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102(X102)

Reproducibility: Every time Fixed Version: 2023-04-04

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、桌面上有一个文件夹（两个应用）

【测试步骤】

1、打开文件夹

2、将其中一个应用拖动至屏幕顶部

3、确认卸载

【预期结果】

3、成功卸载，剩下的一个应用以但应用的方式展示

【实际结果】

3、成功卸载，剩下的一个应用仍处于文件夹中

History

#1 - 2023-03-20 17:13 - CD APP-王营

- Status changed from New to ASSIGNED

#2 - 2023-03-23 14:46 - CDTS_TEST 王成

- Target version set to VC1_FSE_0090_20230411

#3 - 2023-03-29 15:21 - CD APP-王营

- Due date set to 2023-04-04

- Assignee changed from CD APP-王营 to CD APP-王宏

#4 - 2023-04-03 15:12 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

经过排查，内部其实是有相关拆出文件夹的逻辑，但是调用是在Launcher#onResune中回调的，因此我们直接修改

mLauncher.addOnResumeCallback(deferred::onLauncherResume);   --->  deferred.onLauncherResume();
让onDropCompleted逻辑立即调用

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/191570

#5 - 2023-04-03 20:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191570 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Fix folder display exceptions1.Uninstall the app in the folder, and the remaining app will not automatically exit the folderTC-RID:

0301-0205306IssueID: TS-R-BUG-116861Change-Id: I8de590a2e1748bbf467183acd3ff05d15baab647

#6 - 2023-04-03 20:29 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-04

- Root cause set to AOSP问题

#7 - 2023-04-04 10:31 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102(X102)

4.4

验证通过

#8 - 2023-04-04 10:31 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-10 15-21-34.mp4 6.73 MB 2023-03-10 CD TEST-方永红
